#!/bin/sh
source /etc/conf.d/vdr
#set -x

for i in $(seq 1 10) ; do
   if [ -e /dev/i2c-0 ] ; then
      break
   fi  
   echo " Waiting for /dev/i2c-0"
   sleep 1
done
FN="0x00"
#tdk5002cctl -s $1
if [ "$1" = "DVB" ]; then
   EM84=$(echo " $PLUGINS " | grep " em84xx ")
   if [ "$EM84" != "" ] ; then
      AUX_OUT="0x06"
   else   
      AUX_OUT="0x07"
   fi
   if [ "$GUI_LOOP_OUTPUT" = "1" ] ; then
      TV_OUT="0x01"
      FN="0x03"
   else
      if [ "$VIDEO_OUT" = "SVIDEO" ] ; then
         TV_OUT="0x02"
      else
         TV_OUT="0x00"
      fi   
   fi
else
   if [ "$GUI_SWITCH_OUTPUT" = "1" ] ; then
      AUX_OUT="0x01"
      TV_OUT="0x07"
   else
      if [ "$VIDEO_OUT" = "SVIDEO" ] ; then
         TV_OUT="0x02"
      else
         TV_OUT="0x00"
      fi   
      AUX_OUT="0x07"
   fi

fi
if [ "$ACTIVY_LINEOUT" = "1" ] ; then
   LO="0x01"
else   
   LO="0x00"
fi
logger -s "tdk:  $TV_OUT $AUX_OUT"
tdk5002cctl -i 0 0x00 0x00 0x00 $TV_OUT $AUX_OUT 0x00 0x00 0x00 $FN 0x00 0x00 0x01 0x01 0x00 0x00 0x00 0x00 0x00 0x00 $LO
