#!/bin/sh
stopvdr
DT=$(date +%y%m%d)
if [ "$1" = "" ] ; then
   TARFILE="/tmp/v4l-dvb_$DT.tar.bz2"
   [ -f $TARFILE ] && rm $TARFILE
   wget -O $TARFILE "http://linuxtv.org/hg/v4l-dvb?ca=-1;type=bz2"
else
   TARFILE=$1
fi   
cd /usr/local/src
tar -xjvf $TARFILE
PN=$(tar -tjf $TARFILE |head -n 1 | cut -f 1 -d "/")
mv $PN v4l-dvb_$DT
rm DVB
ln -s v4l-dvb_$DT DVB
cd DVB
make ivtv
make 
make install
/_config/bin/dvbmod check

