#!/bin/sh
#################################################################
# Scriptname: DVD9to5.sh					#
# Version: 1.0							#
# Author: Imsadi / Andreas					#
# Beschreibung: Diese Script wandelt eine DVD9 zu einer DVD5	#
# 		um eine Sicherheitskopie einer eigenen DVD	#
# 		zu erstellen.					#
#		Es ist nicht gestattet mit diesem Script	#
#			>>>R A U B K O P I E N<<< 		#
#		zu erstellen.					#
#								#
# Bentigte Programme: 	dvdauthor,mplayer,mencoder,requant,	#
# 			mkisofs,tcprobe,tccat,			#
#			tcmplex-panteltje,lsdvd			#
#################################################################
VERZEICHNIS=/film/tmp
ENDURL=/film/dvd
VIDEO=dvdrip.vob
RIPAUDIO=ripaudio.mp2
RIPVIDEO=ripvideo.m2v
RIPAUDIO1=ripaudio1.mp2
ENDVIDEO=endvideo.m2v
REQUANT=/usr/bin/requant
MENC=/usr/bin/mencoder
CAT="/bin/cat"
CD=cd
DVDAUTHOR=/usr/bin/dvdauthor
MKISOFS=/usr/bin/mkisofs
TCP=/usr/bin/tcprobe
DVD=/dev/cdrom
TCCAT=/usr/bin/tccat
TCM=/usr/bin/tcmplex-panteltje
MPLAYER=/usr/bin/mplayer
SVDRPSEND=svdrpsend.pl
EJECT=eject
LOGFILE=/var/log/dvdrip.log
LOGAUDIO=/var/log/dvdrip.log
GREP=grep
TITLEREAD="Disc Title:"
TRACKREAD="Longest track:"
AUDIODE="ac3 (5.1) language: de"
AUDIOEN="ac3 (5.1) language: en"
DVD_SIZE=4700000000

# Ab hier nichts mehr aendern!!!
cd /dev
rm dvd
ln -s $DVD dvd
cd $VERZEICHNIS
$TCP -i $DVD -H 10 2>&1 > /dev/null
instatus=$?
if [ "$instatus" -gt 0 ] ; then
   $EJECT $DVD
   $SVDRPSEND MESG "Bitte DVD einlegen"
   sleep 10
   instatus=1
   while [ "$instatus" -gt 0 ]
   do
       $TCP -i $DVD -H 10 2>&1 > /dev/null
       instatus=$?
       if [ $instatus -gt 0 ]; then
       $SVDRPSEND MESG "Keine DVD eingelegt, bitte nachholen !"
       $EJECT $DVD
       sleep 10
       fi
   done
fi

#Audio Spuren filtern
#
$MENC dvd://1 -v > $LOGAUDIO
#
###
lsdvd > $LOGFILE

### Titel erkennen ###
#

TITEL=`cat $LOGFILE | $GREP "$TITLEREAD" | awk '{print $3}'`
$SVDRPSEND MESG "Titel = $TITEL"
#
### Titel erkennen Ende

#
### Longest Track herausfinden
#
TRACK=`cat $LOGFILE | $GREP "$TRACKREAD" | awk '{print $3}'`
#
####

#
###
### Video auslesen
$TCCAT -i $DVD -T $TRACK,-1 > $VIDEO
$SVDRPSEND MESG "Auslesen beendet"
$EJECT $DVD
###

### Audio aus dvdripaudio.log lesen#
AIDDE=`cat $LOGAUDIO | $GREP "$AUDIODE" | awk '{print $12}'`
AIDEN=`cat $LOGAUDIO | $GREP "$AUDIOEN" | awk '{print $12}'`
###

## Video und Audio extrahieren de und en Spur
#
$MPLAYER $VIDEO -dumpvideo -dumpfile $RIPVIDEO
$MPLAYER $VIDEO -aid $AIDDE -dumpaudio -dumpfile $RIPAUDIO
$MPLAYER $VIDEO -aid $AIDEN -dumpaudio -dumpfile $RIPAUDIO1
#
##

rm $VIDEO

### Herunterbrechen des Video
#
M2VBIG=`ls -l $VERZEICHNIS/$RIPVIDEO | awk '{print $5}'`
AC3BIG=`ls -l $VERZEICHNIS/$RIPAUDIO | awk '{print $5}'`
AC3BIG2=`ls -l $VERZEICHNIS/$RIPAUDIO1 | awk '{print $5}'`
BIG=$(( $M2VBIG + $AC3BIG + $AC3BIG2 ))

$SVDRPSEND MESG "Filegroesse = $BIG"
FACTOR=`echo $M2VBIG $DVD_SIZE $AC3BIG $AC3BIG2 |awk '{printf "%f\n",0.05+($1/($2-$3-$4))}'`
echo "FACTOR zum verkleinern = ${FACTOR} "
if [ $BIG -gt $DVD_SIZE ] ; then
	$SVDRPSEND MESG "Verkleinern Start"
	cat $VERZEICHNIS/$RIPVIDEO | $REQUANT $FACTOR > $VERZEICHNIS/$ENDVIDEO
        fi
	
if [ $BIG -lt $DVD_SIZE ] ; then
        $SVDRPSEND MESG "Videofile hat die richtige Grösse"
	mv $VERZEICHNIS/$RIPVIDEO $VERZEICHNIS/$ENDVIDEO
	fi

### Zusammenfügen
#
$TCM -i $ENDVIDEO -0 $RIPAUDIO -1 $RIPAUDIO1 -o $TITEL.mpg -m d
#
###

### VIDEO_TS und AUDIO_TS erstellen
#
$DVDAUTHOR -o $TITEL -a ac3+de,ac3+en $TITEL.mpg && $DVDAUTHOR -o $TITEL -T
#
###

### Iso erstellen
#
$MKISOFS -V $TITEL -dvd-video -o @$TITEL.iso $TITEL
#
###

mv @$TITEL.iso $ENDURL
$SVDRPSEND MESG "Fertig - Iso ist in $ENDURL "
rm $RIPVIDEO
rm $RIPAUDIO
rm $RIPAUDIO1
rm $ENDVIDEO
rm $TITEL.mpg
rm -r $TITEL
rm $LOGFILE
rm $LOGAUDIO