#!/bin/bash
source /_config/bin/em84xx.env
source /etc/conf.d/vdr.admin.cfg

REALMAGIC_MAX_DEV=4

# cleaning applications that may prevent module unloading.
killall -KILL remotecontrol &>/dev/null
killall -KILL playfile_binary &>/dev/null
killall -KILL dummy &>/dev/null

# removing special devices
echo

#rm -fv /dev/realmagic?
modprobe realmagic84xx

#echo
#echo Creating realmagic devices
#x=0
#rm -rf /dev/realmagic*

#while [ $x -lt $REALMAGIC_MAX_DEV ]; do
#    mknod /dev/realmagic$x c 122 $x
#    chmod -v a+rw /dev/realmagic$x
#    x=$[$x+1]
#done

echo
echo Making serial ports a+rw
chmod -v a+rw /dev/ttyS0 /dev/ttyS1

#Making DVD drive a+rw
#chmod -v a+rw $USE_DRIVE
echo Activating em84xx output
tdk5002cctl -s 2

echo Enable SPDIF for bitstreamout
echo 2a 0208 > /proc/asound/card0/codec97#0/ac97#0-0+regs

echo "Set skin for vdr"
#if [ -s /etc/vdr/remote.conf ] ; then
#   sed -i /etc/vdr/setup.conf -e "s/OSDSkin = .*/OSDSkin = svenhelau/"
#else
#   sed -i /etc/vdr/setup.conf -e "s/OSDSkin = .*/OSDSkin = classic4col/"
#fi   
#sed -i /etc/vdr/setup.conf -e "s/OSDTheme = .*/OSDTheme = default/"
$SETVAL WATCHDOG 0
#exit 0
