#!/bin/sh
echo $0
LASTCALL=""
#MSN=";[123456|123457];"
MSN=";"
CALL_DB="/root/caller.db"
CALL_LOG="/root/fritz.log"

while [ "$(pidof nc6)" != "" ] ; do
   read LINE
   INCOMING=$(echo "$LINE" | grep ";RING;" | grep $MSN)
   CALLER=""
   if [ "$INCOMING" != "" ] &&  [ "$INCOMING" != "$LASTCALL" ] ; then
      LASTCALL=$INCOMING
      NUMBER=$(echo "$INCOMING" | cut -f 4 -d ";")
      CALLER=$(grep "^$NUMBER " $CALL_DB )
      if [ "$CALLER" = "" ] ; then
         svdrpsend.pl "MESG $NUMBER"
         CALLER=$(wget -O - "http://www.dasoertliche.de/DB4Web/es/oetb2suche/home.htm?kw_invers=$NUMBER&main=Antwort&AKTION=START_INVERS_SUCHE&SEITE=INVERSSUCHE_V&s=2&rg=1&AKTION=START_SUCHE&sourceid=mozilla-search" 2>/dev/null | grep "class=\"blb\"" | cut -f 3,5 -d ">" | sed -e "s/<\/a>/, /" -e "s/<.*//")
         echo "$NUMBER $CALLER" >> $CALL_DB
      else
         CALLER=$(echo "$CALLER" | cut -f 2- -d " ")
      fi
      logger -s "Caller: $NUMBER $CALLER"
      svdrpsend.pl "MESG $NUMBER $CALLER"
   fi
   if [ "$CALL_LOG" != "" ] ; then
      echo "$LINE;  $CALLER" >> $CALL_LOG
   fi
   sleep 1
done
# Restart me
# killall -9 nc6 > /dev/null 2>&1
nohup nc6 fritz.box 1012 | $0 2>&1 >/dev/null &
