#!/bin/sh
#set -x
FN=$1
if [ "$2" != "" ] ; then
   FN=/tmp/$2
   wget -O $FN ${1}${2}
else
   FN=$1
fi   

if [ -s $FN ] ; then
   PLG=$(echo $FN | cut -f 2 -d "-")
   VER=$(echo $FN | cut -f 3 -d "-" | sed -e "s/\.t.*//")   
   if [ -d /usr/local/src/VDR/PLUGINS/src/${PLG}-${VER} ] ; then
      echo "/usr/local/src/VDR/PLUGINS/src/${PLG}-${VER} bereits vorhanden"
      exit
   fi      
   TBZ=$(echo "$FN" | grep "bz2\$")
   if [ "$TBZ" != "" ] ; then
      tar -C /usr/local/src/VDR/PLUGINS/src -xjvf $FN
   else
      tar -C /usr/local/src/VDR/PLUGINS/src -xzvf $FN
   fi
   cd /usr/local/src/VDR/PLUGINS/src
   if [ -d ${PLG}-${VER} ] ; then
      rm $PLG
      ln -s ${PLG}-${VER} ${PLG}
      cd $PLG
      make clean all
      ls -ld /usr/local/src/VDR/PLUGINS/src/${PLG}*
   else
      echo "${PLG}-${VER} not found"
   fi   
else
   echo "$FN not found"
fi
   
