#!/bin/sh
source /etc/conf.d/vdr

NOAD="/_config/bin/vdrnoad.sh"

if [ -s $NOAD ] ; then
   if [ "$SET_MARKS" != "Nie" ] ; then
      echo "$NOAD $1 $2" | at now
   fi   
else   
   logger -s "<$NOAD> not found" 
fi

case "$1" in
   before)
      echo "$1 recording $2"
      echo "svdrpsend.pl MESG Aufnahme startet: $2" | at now
      if [ "$SHAREMARKS" = "1" ] ; then
         echo "marks2pts $1 '$2'" | at now
      fi
      ;;
   after)
      echo "$1 recording $2"
      echo "svdrpsend.pl MESG Aufnahme beendet: $2" | at now
      ;;
   edited)
      echo "$1 recording $2"
      if [ "$SHAREMARKS" = "1" ] ; then
         echo "marks2pts -upload $1 '$2'" | at now
      fi
      ;;
   *)
      echo "ERROR: unknown state: $1"
      ;;
esac
