#!/bin/sh
echo ""
echo "mkbase start"
#chmod +x /usr/local/src/*/*/insmod.sh
ldconfig
depmod -a
modules-update
depscan.sh
chmod +x /usr/bin/*
chmod +x /usr/sbin/*
chmod +x /bin/*
chmod +x /sbin/*
rm /mnt/hda5/g2v_base*.tar.bz2 > /dev/null 2>&1
rm -f /HISTORY* > /dev/null 2>&1
rm -f /README* > /dev/null 2>&1
rm -f /install.* > /dev/null 2>&1

mkdir /usr/local/share/doc/vdr > /dev/null 2>&1

rm -f /usr/local/share/doc/vdr/*README*
# create docs
cd /usr/local/src/VDR
for i in *READ* HISTORY MANUAL ; do
   cp -f $i /usr/local/share/doc/vdr/
done

cd /usr/local/src/VDR/PLUGINS/src

for i in */README ; do
   FN=$(echo ${i} | cut -f1 -d "/" | cut -f1 -d "-")
   cp -f $i /usr/local/share/doc/vdr/$FN.README
done

cd /

tar -cjf /mnt/hda5/g2v_base_usr.tar.bz2 \
    --exclude=./usr/portage/* --exclude=./usr/local/gentoo-de/* \
    --exclude=./usr/local/src/* --exclude=./usr/src \
    --exclude=./usr/bin --exclude=./usr/sbin \
    --exclude=./usr/share --exclude=./usr/lib \
    --exclude=./usr/kde --exclude=./usr/X11R6 ./usr/*

tar -cjf /mnt/hda5/g2v_base_ubin.tar.bz2 ./usr/bin ./usr/sbin
    
tar -cjf /mnt/hda5/g2v_base_ushr.tar.bz2 ./usr/share
    
tar -cjf /mnt/hda5/g2v_base_ulib.tar.bz2 ./usr/lib

tar -cjf /mnt/hda5/g2v_base_var.tar.bz2 --exclude=./var/run/*/* --exclude=*.pid \
    --exclude=./var/cache/*/* --exclude=./var/cache/dhcpcd* --exclude=./var/lib/dhcpc/* \
    --exclude=./var/spool/at/atspool/a* --exclude=./var/tmp/* ./var/*
    
tar -cjf /mnt/hda5/g2v_base_vdr.tar.bz2 --exclude=*.o \
    ./usr/local/src/VDR ./usr/local/src/vdr-1*

tar -cjf /mnt/hda5/g2v_base_dvb.tar.bz2 --exclude=*.o \
    ./usr/local/src/DVB* ./usr/local/src/v4l-dvb* ./usr/local/src/dvb-apps*

tar -cjf /mnt/hda5/g2v_base_vdr_addon.tar.bz2 --exclude=*.o --exclude=./usr/local/src/_div \
    --exclude=./usr/local/src/DVB* --exclude=./usr/local/src/v4l-dvb* --exclude=./usr/local/src/dvb-apps* \
    --exclude=./usr/local/src/VDR --exclude=./usr/local/src/vdr-1* \
    ./usr/local/src

tar -cjf /mnt/hda5/g2v_base.tar.bz2 --exclude=./_config --exclude=./dev/.* \
    --exclude=./mnt/*/*  --exclude=./xsh --exclude=./xau --exclude=./tmp/* \
    --exclude=./proc/* --exclude=./etc/* --exclude=./root --exclude=./autorun.* \
    --exclude=./home/* --exclude=vdradmind.pid --exclude=./*.iso \
    --exclude=./video/* --exclude=./pictures/* --exclude=./film/* --exclude=./audio/* \
    --exclude=./sys/* --exclude=./media/*/* --exclude=./opt/* \
    --exclude=./tmpfs/* --exclude=./usr/* --exclude=./var/* ./*

echo "mkbase end"
echo ""
