#!/bin/sh
#
#
appendable=$1            #if the disc is appendable (true or false)
blank=$2            #if the disc is blank (true or false)
data=$3               #if the disc has data on it (true or false)
audio=$4            #if the disc has audio on it (true or false)
type=$5               #what type the disc is (cd_rom, cd_r, cd_rw, dvd_rom)
device=$6            #which drive the disc is inserted into (/dev/hdc or /dev/hdd)
mounted=$7            #if the disc is mounted (true or false)
label=$8            #what the disc label is
mount_point=$9            #where the disc is mounted (/media/cdrecorder or /media/cdrom)


function cd_media()
{
   if [ $audio = "true" ]; then
      if [ $data = "true" ]; then
         if [ $device = "/dev/hdc" ]; then
            kdialog --icon $HOME/.ivman/xapp.png --caption "CD with audio and data" --radiolist "Select a program to start:" 3 "KsCD - CD player" on \
               4  "Konqueror - file manager" off 5 "KAudioCreator - cd ripper" off 6 "K3B - burning software" off 8 "Eject CD" off
         else
            kdialog --icon $HOME/.ivman/xapp.png --caption "CD with audio and data" --radiolist "Select a program to start:" 3 "KsCD - CD player" on \
               4  "Konqueror - file manager" off 8 "Eject CD" off
         fi
      elif [ $data = "false" ]; then
         if [ $device = "/dev/hdc" ]; then
            kdialog --icon $HOME/.ivman/xapp.png --caption "Audio CD" --radiolist "Select a program to start:" 3 "KsCD - cd player" on \
               5 "KAudioCreator - cd ripper" off 7 "K3B - burning software" off 9 "Eject CD" off
         else
            kdialog --icon $HOME/.ivman/xapp.png --caption "Audio CD" --radiolist "Select a program to start:" 3 "KsCD - cd player" on \
               9 "Eject CD" off
         fi
      fi
   elif [ $blank = "true" ]; then
      if [ $device = "/dev/hdc" ]; then
         kdialog --icon $HOME/.ivman/xapp.png --caption "Blank CD" --radiolist "Select a program to start:" \
               6 "K3B - burning software" on 9 "Eject CD" off
      else
         kdialog --icon $HOME/.ivman/xapp.png --caption "Blank CD" --warningcontinuecancel "This is not a CD-Burner! \n The blank CD will now be ejected."
      fi
   elif [ $appendable = "true" ]; then
      if [ $device = "/dev/hdc" ]; then
         kdialog --icon $HOME/.ivman/xapp.png --caption "Appendable CD" --radiolist "Select a program to start:" 4 "Konqueror - file manager" on \
               6 "K3B - burning software" off 8 "Eject CD" off
      else
         kdialog --icon $HOME/.ivman/xapp.png --caption "Appendable CD" --radiolist "Select a program to start:" 4 "Konqueror - file manager" on \
               8 "Eject CD" off
               fi
   elif [ $data = "true" ]; then
      if [ $device = "/dev/hdc" ]; then
         kdialog --icon $HOME/.ivman/xapp.png --caption "CD with data" --radiolist "Select a program to start:" 4  "Konqueror - file manager" on \
            6 "K3B - burning software" off 8 "Eject CD" off
      else
         kdialog --icon $HOME/.ivman/xapp.png --caption "CD with data" --radiolist "Select a program to start:" 4  "Konqueror - file manager" on \
            8 "Eject CD" off
      fi
   fi
   return
}

function kaudiocreator_function()
{
   kdialog --icon $HOME/.ivman/xapp.png --caption "KAudioCreator - cd ripper" --error "Not implemented yet. Sorry! " && /usr/bin/eject $device
}

function kscd_function()
{
   autoplay=`cat $HOME/.kde/share/config/kscdrc | grep AUTOPLAY=`
   audiosystem=`cat $HOME/.kde/share/config/kscdrc | grep AudioSystem=`
   cddevice="CDDevice=$device"
   volume=`cat $HOME/.kde/share/config/kscdrc | grep Volume=`
   
   echo -e "[GENERAL]\n$autoplay\n$audiosystem\n$cddevice\n$volume" > $HOME/.kde/share/config/kscdrc && kscd
}

cd_media > /tmp/cd_mediaitem.$$         #call the function 'cd_media' and put results into a temp. file
cd_mediaitem=`cat /tmp/cd_mediaitem.$$`      #put the information from the file into the variable 'cd_mediaitem'

case $cd_mediaitem in
   "0") /usr/bin/eject $device;;      #continue with eject
   "1") exit;;            #when the button 'No' is pressed
   "2") exit;;            #cancel the eject
   "3") kscd_function;;         #start Kscd
   "4") konqueror $mount_point;;      #start Konqueror
   "5") kaudiocreator_function;;      #start KAudioCreator
   "6") k3b;;            #start K3B
   "7") k3b --copycd;;         #start K3B for CD copy
   "8") sudo /usr/bin/eject $device;;   #start Eject for mounted media
   "9") /usr/bin/eject $device;;      #start Eject of unmounted media
esac

rm -f /tmp/cd_mediaitem.$$         #remove the temp. file 'cd_mediaitem.$$'
