#!/bin/bash
#
# Pfade zu den bentigten Dateien
PCIMAP=/lib/modules/`uname -r`/modules.pcimap
#Newline=$'\n'
#IFS="${Newline}"
#set -x
#for i in $(cat $1) ; do
#   Vendor=$(echo $i | cut -f 3 -s -d ",")
#   
#   Device=$(echo $i | cut -f 4 -s -d ",")
#   SV=$(echo $i | cut -f 5 -s -d ",")
#   SD=$(echo $i | cut -f 6 -s -d ",")
#   if [ "$SD" != "" ] ; then
#   #echo ""
##   echo $i   
#      driver=$(grep "0x0000$Vendor 0x0000$Device 0x0000$SV 0x0000$SD" $PCIMAP)
#      if [ "$driver" = "" ] ; then
#         driver=$(grep "0x0000$Vendor 0x0000$Device 0xffffffff 0xffffffff" $PCIMAP)
#      fi
#      if [ "$driver" = "" ] ; then
#         echo "No driver found for <$i>"
#      else
#         echo "$driver"
#      fi   
#   else
#      echo ""
#      echo $i
#   fi   
#done
#set -x
for i in /sys/bus/pci/devices/* ; do
   Vendor=$(cat $i/vendor | cut -f 2 -d "x")
   Device=$(cat $i/device | cut -f 2 -d "x")
   SV=$(cat $i/subsystem_vendor | cut -f 2 -d "x")
   SD=$(cat $i/subsystem_device | cut -f 2 -d "x")
#   echo $i   
#   echo "0x0000$Vendor 0x0000$Device 0x0000$SV 0x0000$SD"
   driver=$(grep "0x0000$Vendor 0x0000$Device 0x0000$SV 0x0000$SD" $PCIMAP)
   if [ "$driver" = "" ] ; then
      driver=$(grep "0x0000$Vendor 0x0000$Device 0xffffffff 0xffffffff" $PCIMAP | cut -f 1 -d " ")
   fi
   if [ "$driver" = "" ] ; then
      echo "No driver found for <$i>" >&2
   else
      echo "$driver"
   fi   
done   
