#!/bin/sh
XCFG="xorg.conf.new"
rm /xorg.conf.new /root/xorg.conf.new /tmp/.X* > /dev/null 2>&1
killall -9 X xinit > /dev/null 2>&1
/usr/X11R6/bin/X -configure
if [ -f /${XCFG} ] ; then
   CFG="/${XCFG}"
else
   CFG="/root/${XCFG}"
fi   
sed -i $CFG -e 's/Viewport.*/Modes "800x600" "640x480" "1024x768" "1280x1024"/'
sed -i $CFG -e 's/Monitor.*Monitor0.*/Monitor    "SVGA"/'
cat $CFG /etc/X11/xorg.conf.monitor > /etc/X11/xorg.conf
rm $CFG