#! /bin/bash
#
source /etc/conf.d/vdr

SLOW_DOWN_SPEEDCONTROL="speedcontrol -x"
SLOW_DOWN_HDPARM="hdparm -E"

if [ "$1" = "-c" ] ; then
   if [ "$DISC_SLOWDOWN" != "Aus " ] ; then
      speed=$DISC_SPEED
   else
      speed=0   
   fi
else
   speed=$1
fi      

if [ $speed -gt 0 ] ; then
   if [ "$DISC_SLOWDOWN" = "hdparm" ] ; then
      cmd=$SLOW_DOWN_HDPARM
   elif [ "$DISC_SLOWDOWN" = "speedcontrol" ] ; then
      cmd=$SLOW_DOWN_SPEEDCONTROL
   else
      cmd=""
   fi
   if [ "$cmd" != "" ] ; then
      if [ "$2" != "" ] ; then
         dev=$2
      else
         dev="/dev/cdrom"   
      fi   
      logger -s "$cmd $speed $dev"
      $cmd $speed $dev
   fi
fi
