#!/bin/sh
stopvdr
set -x
DT=$(date +%y%m%d)
if [ "$1" = "" ] ; then
   TMP_FILE="/tmp/~v4l-dvb"
   rm $TMP_FILE > /dev/null 2>&1
   wget -O $TMP_FILE "http://linuxtv.org/hg/dvb-apps?cmd=summary;style=gitweb"
   NEXT_URL=$(cat $TMP_FILE |sed -e "s/</\n/g" | grep -m 1 "?cmd=manifest;" | cut -f 2 -d "\"")
   rm $TMP_FILE > /dev/null 2>&1
   wget -O $TMP_FILE "http://linuxtv.org/hg/dvb-apps$NEXT_URL"
   NEXT_URL=$(cat $TMP_FILE |sed -e "s/</\n/g" |grep -m 1 "type=bz2" | cut -f 2 -d "\"")
   TARFILE="/tmp/dvb_apps_$DT.tar.bz2"
   wget -O $TARFILE "http://linuxtv.org/hg/dvb-apps$NEXT_URL"
else
   TARFILE=$1
fi   
cd /usr/local/src
tar -xjvf $TARFILE
PN=$(tar -tjf $TARFILE |head -n 1 | cut -f 1 -d "/")
mv $PN dvb-apps_$DT
rm DVB-APPS
ln -s dvb-apps_$DT DVB-APPS
cd DVB-APPS
make all

