#!/bin/sh
source /etc/conf.d/vdr

cd ${VDR_DIR}/PLUGINS/src   
ALL_PLGS=$(ls)
for i in $ALL_PLGS ; do
   PLG=$(echo "$i" | cut -f 1 -d "-")
   
   PLG_NUM=$(ls | grep "^${PLG}-" | wc -l)
      
   if [ $PLG_NUM -ge 2  ] ; then
      echo "Plugin <$PLG> has more than 1 variation"
      if [ ! $(readlink $PLG) ] ; then
         echo "  using <$i>"
         ln -s $i $PLG
      else   
         echo "  not changing <$(readlink $PLG)>"
      fi      
   else
      if [ ! -e $PLG ] ; then
         if [ $PLG_NUM -eq 1 ] ; then
            ln -s $i $PLG
            echo "Creating link <$PLG> <$i>"
         else
            echo "No PluginDir for <$PLG> found"
            if [ $(readlink $i) ] ; then
               echo "  Removing empty link <$i>"
               rm $i
            fi
         fi
      else
         if [ $PLG_NUM -lt 1 ] ; then
            if [ $(readlink $i) ] ; then
               echo "Removing empty link <$i>"
               rm $i
            fi
         fi   
      fi   
   fi
done   

exit
